import { registerAs } from '@nestjs/config';

export default registerAs('app', () => ({
  name: process.env.APP_NAME || 'reporting-service',
  port: parseInt(process.env.PORT || '3008', 10),
  env: process.env.NODE_ENV || 'development',
}));
